macOS : Apple Safari < 12.0.3 Multiple Vulnerabilities

high Nessus Plugin ID 121388

Synopsis

遠端 macOS 或 Mac OS X 主機上安裝的網頁瀏覽器受到多個弱點影響。

描述

遠端 macOS 或 Mac OS X 主機上安裝的 Apple Safari 版本比 12.0.3 舊。因此,會受到以下弱點影響:- 存在可讓記憶體損毀的輸入驗證錯誤,導致任意程式碼執行。(CVE-2019-6212、CVE-2019-6215、CVE-2019-6216、CVE-2019-6217、CVE-2019-6226、CVE-2019-6227、CVE-2019-6233、CVE-2019-6234) - 存在可讓攻擊者發動跨網站指令碼攻擊的輸入驗證錯誤。(CVE-2019-6228、CVE-2019-6228) 請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級至 Apple Safari 12.0.3 版或更新版本。

另請參閱

https://support.apple.com/en-us/HT209449

http://www.nessus.org/u?3f718015

Plugin 詳細資訊

嚴重性: High

ID: 121388

檔案名稱: macosx_Safari12_0_3.nasl

版本: 1.3

類型: local

代理程式: macosx

已發布: 2019/1/25

已更新: 2019/10/31

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5.3

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:POC/RL:OF/RC:C

CVSS 評分資料來源: CVE-2019-6234

CVSS v3

風險因素: High

基本分數: 8.8

時間分數: 7.9

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

時間媒介: E:P/RL:O/RC:C

弱點資訊

CPE: cpe:/a:apple:safari

必要的 KB 項目: Host/local_checks_enabled, Host/MacOSX/Version, MacOSX/Safari/Installed

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2018/1/22

弱點發布日期: 2018/1/22

參考資訊

CVE: CVE-2019-6212, CVE-2019-6215, CVE-2019-6216, CVE-2019-6217, CVE-2019-6226, CVE-2019-6227, CVE-2019-6228, CVE-2019-6229, CVE-2019-6233, CVE-2019-6234

BID: 106691, 106692, 106696, 106699